Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002915TestLinkReportspublic2009-10-23 19:092013-05-22 20:55
Reporterpartymungo 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0002915: Results -> Query Metrics creates empty table rows for custom specific testresults
DescriptionIn Results -> Query Metrics it is possible to get metrics over specified test
cases. The result of the metric is a table (format HTML) with all matching test
results in it, but for each custom specific test result there exists one empty table row (<tr></tr>) so between the test results can be more or less free
space.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.5.3
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon custom_config.txt [^] (2,895 bytes) 2009-10-26 18:23 [Show Content]

- Relationships

-  Notes
(0008128)
fman (administrator)
2009-10-24 17:09

would you mind to give detailed steps to reproduce ?
(0008135)
partymungo (reporter)
2009-10-26 18:40

Hi,
to reproduce the problem you have to use custom specific test results (see example in file custom_config.txt).

1. Switch to [Test reports and Metrics]
2. Select "HTML" for report format
3. Select Query Metrics
4. Selct a valid build and a valid top level testsuite
5. In [Show execution of status] select all states (including the custom specific)
6. Submit query
7. The result is a table which includes the test results for each test which has an "system" result (Passed, Failed. Blocked, Not run). Testcases which have an custom specific result will not shown in this table, for each of this tests the table includes an emty row.

- Issue History
Date Modified Username Field Change
2009-10-23 19:09 partymungo New Issue
2009-10-23 19:09 partymungo Browser => Firefox 3.5.3
2009-10-23 19:09 partymungo PHP Version => 5.2.6
2009-10-24 17:09 fman Note Added: 0008128
2009-10-26 18:23 partymungo File Added: custom_config.txt
2009-10-26 18:40 partymungo Note Added: 0008135
2013-05-20 19:58 fman Status new => resolved
2013-05-20 19:58 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2013-05-20 19:58 fman Resolution open => fixed
2013-05-20 19:58 fman Assigned To => fman
2013-05-22 20:55 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker